const AutoLaunch = require('auto-launch');
const addJSON = require('../plug-in/addJSON');
const readJSON = require('../plug-in/readJSON');
const { server } = require('../plug-in/fk2Path');
module.exports = (path, auto) => {
    var data = readJSON(server);
    if (data) {
        data.auto = auto;
    }
    const obj = new AutoLaunch({
        path,
        name: 'fk2Task'
    });
    if (auto == true) {
        enable();
    } else {
        disable();
    }
    function enable() {
        obj.enable().then(() => {
            // 添加成功
            if (data) {
                addJSON(server, data);
            }
        }).catch(() => {
            enable();
        });
    }
    function disable() {
        obj.disable().then(() => {
            if (data) {
                addJSON(server, data);
            }
        }).catch(() => {
            disable();
        })
    }
}